java.util

## Class IllegalFormatCodePointException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.IllegalFormatCodePointException

All Implemented Interfaces:
  Serializable

    public class IllegalFormatCodePointException
    extends IllegalFormatException

Unchecked exception thrown when a character with an invalid Unicode code point as defined by `Character.isValidCodePoint(int)` is passed to the `Formatter`.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalFormatCodePointException(int c)` Constructs an instance of this class with the specified illegal code point as defined by `Character.isValidCodePoint(int)`.

### Method Summary

Methods
`int` `getCodePoint()` Returns the illegal code point as defined by `Character.isValidCodePoint(int)`.
`String` `getMessage()` Returns the detail message string of this throwable.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalFormatCodePointException

    public IllegalFormatCodePointException(int c)

Constructs an instance of this class with the specified illegal code point as defined by `Character.isValidCodePoint(int)`.

Parameters:
  `c` - The illegal Unicode code point

### Method Detail

#### getCodePoint

    public int getCodePoint()

Returns the illegal code point as defined by `Character.isValidCodePoint(int)`.

Returns:
  The illegal Unicode code point

#### getMessage

    public String getMessage()

Description copied from class: `Throwable`
Returns the detail message string of this throwable.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.